# Method: gaugeModels.batchGet

- [HTTP request](https://developers.google.com/flood-forecasting/rest/v1/gaugeModels/batchGet#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/flood-forecasting/rest/v1/gaugeModels/batchGet#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/flood-forecasting/rest/v1/gaugeModels/batchGet#body.request_body)
- [Response body](https://developers.google.com/flood-forecasting/rest/v1/gaugeModels/batchGet#body.response_body)
  - [JSON representation](https://developers.google.com/flood-forecasting/rest/v1/gaugeModels/batchGet#body.BatchGetGaugeModelsResponse.SCHEMA_REPRESENTATION)

Get the current hydrological model metadata for multiple gauges.

### HTTP request

`GET https://floodforecasting.googleapis.com/v1/gaugeModels:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `names[]` | `string` Required. The gauge model names to retrieve. Name format: gaugeModels/{gaugeId}. The supported list size is limited to 20,000. If a list larger than 20,000 is provided it fails with an INVALID_REQUEST error. |

### Request body

The request body must be empty.

### Response body

The response of gaugeModels.batchGet.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "gaugeModels": [ { object (`https://developers.google.com/flood-forecasting/rest/v1/gaugeModels#GaugeModel`) } ] } ``` |

| Fields ||
|---|---|
| `gaugeModels[]` | ``object (`https://developers.google.com/flood-forecasting/rest/v1/gaugeModels#GaugeModel`)`` The requested gauge models. |